# fourdst::libcomposition: fourdst::composition Namespace Reference

Loading...
Searching...
No Matches
fourdst::composition Namespace Reference

## Namespaces

namespace | exceptions

## Classes

struct | CanonicalComposition
| Represents the canonical (X, Y, Z) composition of stellar material. More...
class | Composition
| Manages a collection of chemical species and their abundances. More...
struct | CompositionEntry
| Represents a single entry (an isotope) within a composition. More...
struct | GlobalComposition
| Represents global properties of a finalized composition. More...

## Functions

std::ostream & | operator<< (std::ostream &os, const GlobalComposition &comp)
std::ostream & | operator<< (std::ostream &os, const CompositionEntry &entry)
std::ostream & | operator<< (std::ostream &os, const Composition &composition)

## Function Documentation

## operator<<() [1/3]

std::ostream & fourdst::composition::operator<< | ( | std::ostream & | os,
|  | const Composition & | composition )

Parameters

  os | The output stream.
  composition | The Composition to output.

Returns
  The output stream.

Definition at line 1078 of file composition.cpp.

## operator<<() [2/3]

std::ostream & fourdst::composition::operator<< | ( | std::ostream & | os,
|  | const CompositionEntry & | entry )

Parameters

  os | The output stream.
  entry | The CompositionEntry to output.

Returns
  The output stream.

Definition at line 1070 of file composition.cpp.

## operator<<() [3/3]

std::ostream & fourdst::composition::operator<< | ( | std::ostream & | os,
|  | const GlobalComposition & | comp )

Definition at line 1060 of file composition.cpp.